﻿@using OWebApplication.Shared.Components
@inject ISnackbar _snackbar

<MudThemeProvider Theme="_colorTheme"/>
<MudDialogProvider/>
<MudSnackbarProvider/>

<CascadingAuthenticationState>
    <Router AppAssembly="@typeof(Program).Assembly" PreferExactMatches="@true">
        <Found Context="routeData">
            <AuthorizeRouteView RouteData="@routeData" DefaultLayout="@typeof(MainLayout)">
                <NotAuthorized>
                    <LoginRedirect/>
                </NotAuthorized>
            </AuthorizeRouteView>
        </Found>
        <NotFound>
            <LayoutView Layout="@typeof(MainLayout)">
                <NotFoundViewComponent/>
            </LayoutView>
        </NotFound>
    </Router>
</CascadingAuthenticationState>

@code{
    private readonly MudTheme _colorTheme = new()
    {
        Palette = new Palette
        {
            Primary = "#2e2e2e",
            Secondary = Colors.BlueGrey.Lighten4,
            AppbarBackground = "#ffffff",
            AppbarText = "#000000"
        },
        Typography = new Typography
        {
            Default = new Default
            {
                FontFamily = new[]
                {
                    "system-ui", "-apple-system", "Segoe UI", "Roboto", "Helvetica Neue",
                    "Arial", "Noto Sans", "Liberation Sans", "sans-serif", "Apple Color Emoji",
                    "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji"
                },
                FontSize = ".875rem",
                LineHeight = 1.5
            }
        }
    };

    protected override void OnInitialized()
    {
        _snackbar.Configuration.SnackbarVariant = Variant.Filled;
        _snackbar.Configuration.PositionClass = Defaults.Classes.Position.BottomCenter;
        
        base.OnInitialized();
    }

}